ST(1)

NAME
edlc - Etoile Dynamic Language Compiler

SYNOPSIS
du [-t] [-c class] [-l framework] [-L plist] { -f file | -b bundle }

DESCRIPTION
The edlc utility loads, compiles, and executes an OpenStep application written in Smalltalk. Either the -f or -b options must be specified, indicating a Smalltalk file or bundle to load, respectively. Smalltalk bundles may contain resources, lists of frameworks to load, and may implement GUI applications or command-line tools. Individual files may only implement command-line tools unless they handle the creation of the NSApplication and loading of resources themselves.

Options are as follows:

-b bundle
    Specify the Smalltalk bundle to load.

-c class
    Specify the class to instantiate. Instances of this class must respond to the run message.

-f file
    Specify the single Smalltalk source file to load.

-l framework
    Specify a single framework to load.

-L plist
    Specify a property list file containing an array of framework names to load.

-t  Print summary of CPU time and memory usage after the command has executed.

BUGS
Smalltalk bundles are not yet working.

HISTORY
A edlc command appeared in Etoile 0.4 .

AUTHORS
The Pragmatic Smalltalk Compiler was written by David Chisnall <csdavec@swan.ac.uk>

Copyright
The Pagmatic Smalltalk compiler is Copyright 2008 David Chisnall and is released under the MIT license. See COPYING for more information.